﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    
    public class MenuState extends FlxState
    {
        
		[Embed(source = "../../data/mus/blip.mp3")] public static var SndOpen:Class;
		[Embed(source = "../../data/mus/title.mp3")] public static var SndMusic:Class;
		[Embed(source = "../../data/mus/battle.mp3")] public static var SndBattle:Class;
		[Embed(source = "../../data/mus/ambient.mp3")] public static var SndAmbient:Class;
		
		private var bClosing:Boolean;
		
        override public function MenuState():void
        {
			BattleState.matchCount = 0;        
			BattleState.dieCount = 1;
			bClosing = false;
            this.add(new FlxText(10, 10, FlxG.width, 400, "Platonic\nArchetypes\nof\nDice", 0xffffffff, null, 16, "left")) as FlxText;
            this.add(new FlxText(60, 105 , FlxG.width, 8, "x to start", 0xffffffff, null, 8, "left")) as FlxText;
			FlxG.setMusic(SndMusic);
        }
        
        override public function update():void
        {
            if (FlxG.kA&&!bClosing)
            {
				bClosing = true;
                FlxG.flash(0xfff36f36, 0.75);
                FlxG.fade(0xff8d431f, 1, onFade);	
				FlxG.stopMusic();				
				FlxG.play(SndOpen,0.1);
            }
            
            super.update();
        }
        private function onFade():void
        {
			FlxG.level = 9;
			FlxG.oldlevel = 9;
			WalkState.fromMenu = false;
			FlxG.setMusic(SndAmbient);
            FlxG.switchState(WalkState);
        }
    }
}